package com.iformall.enums;

/**
 * Created by luozukai
 * 流程key
 */
public enum EnumFlowKey {

    CONTRACT("contract_flow", "合同审批流程"),
    BILL("bill_flow", "账单审批流程"),
    END_CONTRACT("end_contract_flow", "终止合同审批流程"),
    ;

    public static EnumFlowKey getEnum(Integer code) {
        for (EnumFlowKey value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private String code;
    private String message;

    EnumFlowKey(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
